org.springframework.batch.item.file.transform

## Class IncorrectLineLengthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.batch.item.file.transform.FlatFileFormatException
        - - org.springframework.batch.item.file.transform.IncorrectLineLengthException

- All Implemented Interfaces:
    java.io.Serializable

      public class IncorrectLineLengthException
      extends FlatFileFormatException

  Exception indicating that the line size expected is different from what is expected.
  Since:
    1.1
  Author:
    Lucas Ward, Michael Minella
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncorrectLineLengthException(int expectedLength, int actualLength)`
    `IncorrectLineLengthException(int expectedLength, int actualLength, java.lang.String input)`
    `IncorrectLineLengthException(java.lang.String message, int expectedLength, int actualLength)`
    `IncorrectLineLengthException(java.lang.String message, int expectedLength, int actualLength, java.lang.String input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActualLength()`
    `int` | `getExpectedLength()`

    - ### Methods inherited from class org.springframework.batch.item.file.transform.FlatFileFormatException

      `getInput`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncorrectLineLengthException

          public IncorrectLineLengthException(java.lang.String message,
                                              int expectedLength,
                                              int actualLength,
                                              java.lang.String input)

      Since:
        2.2.6

    - #### IncorrectLineLengthException

          public IncorrectLineLengthException(java.lang.String message,
                                              int expectedLength,
                                              int actualLength)

    - #### IncorrectLineLengthException

          public IncorrectLineLengthException(int expectedLength,
                                              int actualLength,
                                              java.lang.String input)

      Since:
        2.2.6

    - #### IncorrectLineLengthException

          public IncorrectLineLengthException(int expectedLength,
                                              int actualLength)

  - ### Method Detail

    - #### getActualLength

          public int getActualLength()

    - #### getExpectedLength

          public int getExpectedLength()